/* \file line2.cpp
 *
 */
#include <stdio.h>
#include <math.h>
#include <iostream>
#include "line2.h"


//! overloaded insertion operator <<
std::ostream& operator << (std::ostream& s, const Line2& v)
{
	//s << v.body[0] << ":"  << v.body[1];
	//s << v.value(0) << ":" << v.value(1);
	s << v[0] << ":" << v[1];
	return s ;
}


//! returns angle (in degrees) between two lines
double angle(const Line2 &a, const Line2 &b)
{
	return angle(a[1]-a[0],b[1]-b[0]);
}

/*

//! returns vec rotated by angle theta in degrees
/*
Line2 rotate(const Line2 &a, double theta)
{
	double c, s;
	const double radg = atan(1.0)/45.0;
	theta *= radg;
	c = cos(theta);
	s = sin(theta);
	return Line2(c*a[0]-s*a[1],s*a[0]+c*a[1]);
}
*/